Bug 19864 - Computed style for webkitTransform property
Summary: Computed style for webkitTransform property
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 19863
Blocks: 19028
  Show dependency treegraph
 
Reported: 2008-07-02 19:17 PDT by Dean Jackson
Modified: 2008-08-04 11:18 PDT (History)
2 users (show)

See Also:


Attachments
implements computed style for webkit-transform prop (4.20 KB, patch)
2008-07-02 19:18 PDT, Dean Jackson
hyatt: review+
Details | Formatted Diff | Diff
testcase for computed style of transforms (1.62 KB, text/html)
2008-07-02 19:19 PDT, Dean Jackson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dean Jackson 2008-07-02 19:17:41 PDT
The computed style for the -webkit-transform property is not implemented.
Comment 1 Dean Jackson 2008-07-02 19:18:43 PDT
Created attachment 22058 [details]
implements computed style for webkit-transform prop
Comment 2 Dean Jackson 2008-07-02 19:19:20 PDT
Created attachment 22059 [details]
testcase for computed style of transforms
Comment 3 Simon Fraser (smfr) 2008-07-07 20:26:27 PDT
This change:
 WebKitCSSTransformValue::WebKitCSSTransformValue(TransformOperationType op)
-    : CSSValueList(false)
+    : CSSValueList(true)
     , m_type(op)
 {
 } 

is showing up in several of your patches.
Comment 4 Dave Hyatt 2008-07-08 11:15:44 PDT
Comment on attachment 22058 [details]
implements computed style for webkit-transform prop

r=me, please land a layout test with this change though, as it should be possible to make a text-only layout test for this.
Comment 5 Dean Jackson 2008-07-08 15:11:27 PDT
Simon,

it's redoing the undo of the redo of that change :)
either way, i'll make sure only the correct change gets submitted - once.

and yeah, will add a layout test

Comment 6 Dean Jackson 2008-07-10 21:54:23 PDT
Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	LayoutTests/ChangeLog
	A	LayoutTests/css3/transform-computed-style-001-expected.txt
	A	LayoutTests/css3/transform-computed-style-001.html
	M	WebCore/ChangeLog
	M	WebCore/css/CSSComputedStyleDeclaration.cpp
	A	WebCore/manual-tests/computed-transform-value.html
Committed r35117